Download it now!
Bug 99637 - Tools > Options > Memory missing Undo section but listed in help
Summary: Tools > Options > Memory missing Undo section but listed in help
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Stanislav Horacek
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-05-02 18:32 UTC by Jamie Dimmel
Modified: 2016-10-25 18:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Dimmel 2016-05-02 18:32:52 UTC
Apparently the decision was made to remove the Undo section from Options (see Bug 97279), but the Help still points to this location.
If you are going to keep this out of Options, please update the Help section appropriately.
Perhaps the UI 'Experts' who advise this nonsense, could add the step whenever they remove anything.
Comment 1 Adolfo Jayme 2016-05-02 22:40:27 UTC
Sure, but please refrain from attacking contributors — that never helps, I’d say…
Comment 2 Commit Notification 2016-05-02 22:41:09 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7baa265c995f1d27cef325bf1583a579737e11df

tdf#99637 Don’t mention Undo settings now in Expert Configuration
Comment 3 Jamie Dimmel 2016-05-03 06:55:32 UTC Comment hidden (no-value)
Comment 4 Adolfo Jayme 2016-05-03 10:24:34 UTC
> This is exactly what I did not want.

Hm... Given this:

> If you are going to keep this out of Options, please update the
> Help section appropriately.

one would assume you were requesting the Help to be updated.

> This is why I "attacked" a contributor (although I am astonished to think
> that honest, heartfelt, criticism is now looked on as "attacking" someone).

When one does not agree with another person, one looks for ways to express that disagreement without turning on people. It is called etiquette. There was no need for you to use scare quotes, nor blindly calling things “nonsense” just because thay are not of your liking.

> With this kind of result, I am sorry I opened this bug, and will be sure to
> not do any more.

“Those who seek shall find.”

¯\_(ツ)_/¯
Comment 5 Cor Nouws 2016-05-03 11:15:51 UTC
(In reply to Adolfo Jayme from comment #4)

> > If you are going to keep this out of Options, please update the
> > Help section appropriately.
> 
> one would assume you were requesting the Help to be updated.

Indeed, but that can also be done by actually pointing to Expert configuration for setting X/Y/Z ?
Comment 6 Cor Nouws 2016-05-03 11:16:27 UTC
@jamie Wrt your remark towards UX people: help is always appreciated.
Comment 7 Adolfo Jayme 2016-05-03 12:19:27 UTC
Hi, Cor; thanks for chiming in. Sure thing!, if you, or the OP, or anybody else, can suggest some replacement text to put in there, please feel free to submit a patch and assign me to it over Gerrit; I’ll gladly review it. For now, I’m unassigning myself from this report.
Comment 8 Stanislav Horacek 2016-05-06 08:29:16 UTC
Instead of removing the text, I would suggest to add the property name in expert config to it (as I did it for some options here: https://cgit.freedesktop.org/libreoffice/help/commit/?id=0b72dc634aa155217652973b2e801c42e16631d5). Do you agree?
Comment 9 Adolfo Jayme 2016-05-07 13:52:23 UTC
Sure! =)
Comment 10 Stanislav Horacek 2016-05-08 19:02:18 UTC
The expert config update submitted to Gerrit:
https://gerrit.libreoffice.org/#/c/24774/
Comment 11 Cor Nouws 2016-05-08 19:14:41 UTC
Hi Stanislav,

(In reply to Stanislav Horacek from comment #8)
> Instead of removing the text, I would suggest to add the property name in
> expert config to it (as I did it for some options here:
> https://cgit.freedesktop.org/libreoffice/help/commit/
> ?id=0b72dc634aa155217652973b2e801c42e16631d5). Do you agree?

Thanks. Extending Help for this option is indeed good.
Is that info also seen/linked on the Help page where the other Memory options are described?

Ciao - Cor
Comment 12 Stanislav Horacek 2016-05-08 19:23:23 UTC
My patch puts the info only to the page with the memory options. (Maybe it would be worth to create a list of all useful expert configuration options. Then the info should be at both places I think.)
Comment 13 Cor Nouws 2016-05-08 19:58:06 UTC
(In reply to Stanislav Horacek from comment #12)
> My patch puts the info only to the page with the memory options.

Clear - thanks!

> (Maybe it
> would be worth to create a list of all useful expert configuration options.
> Then the info should be at both places I think.)

Indeed. I've no idea if such an effort already exists.
@Olivier: do you know about that?
Comment 14 Olivier Hallot 2016-05-08 22:39:38 UTC
(snip)
> > (Maybe it
> > would be worth to create a list of all useful expert configuration options.
> > Then the info should be at both places I think.)
> 
> Indeed. I've no idea if such an effort already exists.
> @Olivier: do you know about that?

Documenting all Expert Configuration is not a small task, specially for a layman.

I wrote the page 
http://vm173.documentfoundation.org/text/shared/optionen/expertconfig.xhp

as introduction to Expert Config, and with a big warning.

But I think that if a configuration is important for the user, it should be made available in the UI, rather than in E.C. Once in the UI, a help content is obliged.
Comment 15 Commit Notification 2016-06-02 20:18:02 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=17405f4ca6d12814f5abc0f97028745308edca9a

tdf#99637 add expert configuration property for number of undo steps
Comment 16 Commit Notification 2016-06-02 20:19:26 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=3c62f984f3f6fcdbf9f27fc62f5fac7a6aa0734a&h=libreoffice-5-2

tdf#99637 add expert configuration property for number of undo steps
Comment 17 V Stuart Foote 2016-06-04 16:55:22 UTC
Entries in both the Undo and Memory articles look good, thanks!

Version: 5.3.0.0.alpha0+ (x64)
Build ID: b2abb97a6545096d6952430f7ff37cadb1a23707
Branch:MASTER, Time: 2016-06-04_00:22:16
Locale: en-US (en_US)